# Issue Descriptions

## Image

| No. | Rule ID                  | Description                                                                 | WCAG     | Status   |
|-----|--------------------------|-----------------------------------------------------------------------------|----------|----------|
| 1a   | image-missing-alt         | Ensure the presence of alt text in images which are embedded in markdown. | WCAG 1.1.1 | Done ✅ |

---

## Heading

| No. | Rule ID                      | Description                                                                 | WCAG     | Status           |
|-----|------------------------------|-----------------------------------------------------------------------------|----------|------------------|
| 2a   | heading-missing-h1          | Ensure the presence of H1 tag in a notebook                               | WCAG 2.4.2 | Done ✅   |
| 2b   | heading-duplicate-h1        | Ensure there is only one H1 tag in a notebook                             | WCAG 2.4.6 | Done ✅   |
| 2c   | heading-duplicate           | Ensure the headings are unique                                            | WCAG 2.4.6 | Done ✅   |
| 2d   | heading-wrong-order         | Ensure the order of heading is accurate                                   | WCAG 2.4.6 | Done ✅   |
| 2e   | heading-empty               | Ensure the heading content is non-empty                                   | WCAG 2.4.6 | Done ✅   |

---

## Table

| No. | Rule ID               | Description                                                                 | WCAG     | Status   |
|-----|------------------------|-----------------------------------------------------------------------------|----------|----------|
| 3a   | table-missing-header  | Ensure row and column headers are present in a table                  | WCAG 1.3.1 | Done ✅  |
| 3b   | table-missing-caption  | Ensure caption was added for a table                                 | WCAG 1.3.1 | Done ✅  |
| 3c   | table-scope    | Ensure presence of `scope` attribute for rows and columns                   | WCAG 1.3.1 | In progress ⏳ |

---

## Color

| No. | Rule ID              | Description                                                                 | WCAG     | Status             |
|-----|----------------------|-----------------------------------------------------------------------------|----------|--------------------|
| 4a  | color-insufficient-cc-normal     | Ensure normal text in images have a contrast ratio of 4.5:1 and text contrast in general | WCAG 1.4.3 | Done ✅   |
| 4b  | color-insufficient-cc-large      | Ensure large text in images have a contrast ratio of 3:1                  | WCAG 1.4.3 | Done ✅   |

---

## Link

TBD

## List

TBD